## ixbiff 0.03d

=== Makefile ===

# -*- sh_mode -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.net>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# debian	compile for debian system (i.e. if you want to make a debian package)
# default	compile for a normal system (i.e. everything goes to /usr/local)
# NOTE: Leave this undefined if you just want to check out ixbiff first (i.e. you don't want to install anything)
SYSTYPE = "debian"

export SYSTYPE
export DESTDIR

all:
	$(MAKE) -C src all
	$(MAKE) -C man all

install:
	$(MAKE) -C src install
	$(MAKE) -C man install

uninstall:
	$(MAKE) -C src uninstall
	$(MAKE) -C man uninstall

clean:
	rm -f *~

distclean: clean
	$(MAKE) -C src distclean
	$(MAKE) -C man distclean
	rm -f {build,configure}-stamp build debian/{*.debhelper,substvars,files}
	rm -rf debian/{ixbiff,tmp}
	dh_clean

=== man/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.net>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

ifeq ($(SYSTYPE),"debian")
prefix = $(DESTDIR)/usr
datadir = $(prefix)/share
else
ifeq ($(SYSTYPE),"default")
prefix = /usr/local
datadir = $(prefix)/lib
else
TEST_ONLY = 1
endif
endif

INSTALL = install
INSTALL_DATA = $(INSTALL)

MANDIR = $(datadir)/man

MAN = ixbiff.1  ixbiff.conf.5
MANGRP = bin
MANOWN = root
MANMODE = 0644

all:

clean:
	rm -f *~

distclean: clean

ifndef TEST_ONLY
install: $(MAN)
	$(INSTALL) -d $(MANDIR)
	gzip -9 $(MAN)
	for F in $(MAN); do $(INSTALL_DATA) -d $(MANDIR)/man$${F##*.}; $(INSTALL_DATA) -g $(MANGRP) -o $(MANOWN) -m $(MANMODE) $$F.gz $(MANDIR)/man$${F##*.}; done
	gunzip -9 $(MAN)

uninstall:
	for F in $(MAN); do rm -f $(MANDIR)/man$${F##*.}/$$F.gz; done

endif

=== src/Makefile ===

# -*- sh -*-

#  Copyright (c) Abraham vd Merwe <abz@blio.net>
#  All rights reserved.
#
#  Redistribution and use in source and binary forms, with or without
#  modification, are permitted provided that the following conditions
#  are met:
#  1. Redistributions of source code must retain the above copyright
#     notice, this list of conditions and the following disclaimer.
#
#  2. Redistributions in binary form must reproduce the above copyright
#     notice, this list of conditions and the following disclaimer in the
#     documentation and/or other materials provided with the distribution.
#  3. Neither the name of the author nor the names of other contributors
#     may be used to endorse or promote products derived from this software
#     without specific prior written permission.
#
#  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
#  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
#  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
#  ARE DISCLAIMED. IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
#  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
#  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
#  SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
#  CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
#  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
#  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

# Maximum string length + 1
STRSIZE = 1024

# Maximum number of elements in arrays found in configuration files
ARRAYSIZE = 100

# Name of program
PROGNAME = ixbiff

# Configuration file
CONFIGFILE = $(PROGNAME).conf

# Log file
BASELOGFILE = $(PROGNAME).log

##
## You don't need to edit this
##

ifeq ($(SYSTYPE),"debian")
prefix = $(DESTDIR)/usr
bindir = $(prefix)/sbin
sysconfdir = $(DESTDIR)/etc
localstatedir = $(DESTDIR)/var
CFGFILE = $(sysconfdir)/$(CONFIGFILE)
LOGFILE = $(localstatedir)/log/$(BASELOGFILE)
CPPFLAGS = -DLOGLEVEL=LOG_VERBOSE
else
ifeq ($(SYSTYPE),"default")
prefix = /usr/local
bindir = $(prefix)/sbin
sysconfdir = /etc
localstatedir = /var
CFGFILE = $(sysconfdir)/$(CONFIGFILE)
LOGFILE = $(localstatedir)/log/$(BASELOGFILE)
CPPFLAGS = -DLOGLEVEL=LOG_VERBOSE
else
TEST_ONLY = 1
CFGFILE = $(CONFIGFILE)
LOGFILE = $(BASELOGFILE)
CPPFLAGS = -DDEBUG -DLOGLEVEL=LOG_NOISY
endif
endif

BINGRP = bin
BINOWN = root
BINMODE = 0755

CFGGRP = bin
CFGOWN = root
CFGMODE = 0644

CPPFLAGS += -Darraysize=$(ARRAYSIZE) -Dstrsize=$(STRSIZE) -DCFGFILE=\"$(CFGFILE)\" -DLOGFILE=\"$(LOGFILE)\"

ifeq ($(CC),)
CC = gcc
endif

CFLAGS = -Wall -O2 -Winline

LD = ld
LDFLAGS = -O2
LDLIBS =

INSTALL = install
INSTALL_PROGRAM = $(INSTALL) -s
INSTALL_DATA = $(INSTALL)

SOURCES = main.c utils.c config.c leds.c log.c
OBJECTS = $(SOURCES:%.c=%.o)

##
## RULES
##

.PHONY: all clean install uninstall distclean do-it-all with-depends without-depends

all: do-it-all

ifeq (.depends,$(wildcard .depends))
include .depends
do-it-all: with-depends
else
do-it-all: without-depends
endif

without-depends: depend with-depends

with-depends: $(PROGNAME)

$(PROGNAME): $(OBJECTS)
	$(CC) $(LDFLAGS) $^ -o $@ $(LDLIBS)

depend:
	rm -f .depends
	set -e; for F in $(SOURCES); do $(CC) -MM $(CPPFLAGS) $$F >> .depends; done

clean:
	rm -f .depends *~ $(OBJECTS) $(PROGNAME) $(LOGFILE)

distclean: clean

ifndef TEST_ONLY
install: all
	$(INSTALL) -d $(bindir)
	$(INSTALL_PROGRAM) -g $(BINGRP) -o $(BINOWN) -m $(BINMODE) $(PROGNAME) $(bindir)
	$(INSTALL) -d $(sysconfdir)
	$(INSTALL_DATA) -g $(CFGGRP) -o $(CFGOWN) -m $(CFGMODE) $(CONFIGFILE) $(sysconfdir)

uninstall:
	rm -f $(bindir)/$(PROGNAME) $(CFGFILE) $(LOGFILE)
endif

## ixbiff 0.03b

=== debian/changelog ===
ixbiff (0.03b) unstable; urgency=low

  * Fixed grammatical errors in Debian control file.
    (Closes: #100416)
  * Fixed the annoying leds-state-doesnt-change-while-in-mailclient
    bug.
  * The CAPS LOCK is now handled as it should be, i.e. the LEDs is
    going to be messed up unless your'e in console since there is
    no way to determine what the user's current _active_ tty is and
    therefore I can't do a ioctl(KDGKBLED) for that tty.
  * Fixed a small bug in the logging system (the log level was set after
    log_init() so the startup message never got logged).
  * Added a build dependancy for logrotate.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 16 Oct 2001 21:31:05 +0200

ixbiff (0.03a) unstable; urgency=low

  * Ixbiff now saves the states of the keyboard leds before
    flashing them, so if you press "CAPS LOCK", etc. you'll
    know (;
  * Added SIGHUP support. You can now reload the configuration
    by sending a SIGHUP to the daemon.
  * I've split led_eyecandy into led_startup and led_shutdown
    to give some finer grained control.
  * The user can now specify his/her own keyboard led sequences
    for events.
  * Added custom log support. I hate syslog - can never find
    the messages I'm looking for, so I decided to log to a
    seperate file (;
  * Added SIGUSR1 support. Whenever ixbiff is sent a SIGUSR1
    signal, it closes and reopens its log file. This is used
    by the logrotate script.
  * Updated the Makefile to use gcc as compiler by default.
    (Closes: #98696)
  * Removed debian/conffiles - the debconf utilities detects
    ixbiff.conf automatically, so that file was useless.
  * Updated man pages, etc. to reflect changes.

 -- Abraham vd Merwe <abz@debian.org>  Mon, 28 May 2001 22:01:42 +0200

ixbiff (0.02c) unstable; urgency=high

  * This is such a mess :P This release fixes two things:
    First of all I forgot to release the previous package
    as unstable which is totally wrong since it's a new
    package and should therefore go to unstable. The other
    mistake is I forgot to close the ITP bug, so this
    release also closes that. (Closes: #98021)
    Please note that apart from Debian bugfixes there is
    absolutely no difference between this and the previous
    release.

 -- Abraham vd Merwe <abz@debian.org>  Tue, 22 May 2001 20:00:18 +0200

ixbiff (0.02b) stable; urgency=low

  * Adapted the package for official debian maintaining.
  * Updated docs/index.html. Fixed a bug and updated the url to my
    home page.
  * Removed INSTALL from docs to keep lintian from complaining.
  * Changed debian control files to be 3.5.2 standards compliant

 -- Abraham vd Merwe <abz@debian.org>  Sat, 19 May 2001 18:37:08 +0200

ixbiff (0.02a) stable; urgency=low

  * If you want, ixbiff can now warn you if your mail client is still active
    after a certain amount of time (which you can specify).
  * Ixbiff can now (depending on an option in your ixbiff.conf of course)
    disable the flashing leds when your mail client is launched. Thanks
    Johann Botha <joe@frogfoot.net> for this suggestion.
  * Added some optional keyboard led eyecandy (Thanks Nick Sutterer
    <nick@tesbo.com> for this idea.)
  * If the user wants, the mail leds can now stop blinking after the mail
    has been read. (Thanks David Santinoli <david@santinoli.com> for patches.)
  * Updated intialization shell script (doesn't depend on expr anymore)
  * Fixed a typo in ixbiff.conf
  * Updated the ixbiff.conf.5 man page to reflect the new changes.
  * Migrated from old-style BSD licenses to new custom one which doesn't
    mention the University, etc.

 -- Abraham van der Merwe <abz@blio.net>  Thu, 28 Apr 2001 18:34:48 +0200

ixbiff (0.01a) stable; urgency=low

  * This is the first official release

 -- Abraham van der Merwe <abz@blio.net>  Tue, 21 Nov 2000 21:11:56 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: ixbiff
Section: mail
Priority: optional
Maintainer: Abraham vd Merwe <abz@debian.org>
Build-Depends: debhelper (>> 3.0.0)
Standards-Version: 3.5.2

Package: ixbiff
Architecture: any
Depends: ${shlibs:Depends}, logrotate
Suggests: qmail | mail-transport-agent, mutt | mail-reader
Description: notify user when mail arrives by blinking keyboard leds
 Ixbiff blinks the keyboard LEDs when new mail arrives. The
 keyboard LEDs used depend upon the daemon's configuration.
 .
 For obvious reasons only three mailboxes can be checked.
 .
 Currently, ixbiff is Linux specific and requires root access.
 .
 Ixbiff supports the standard UNIX mbox format as well as
 qmail's Maildir format.

## ixbiff 0.03c

=== debian/changelog ===
ixbiff (0.03c) unstable; urgency=low

  * Changed leds to LEDs in description (Closes: #124768)
  * Ripped some code out of the new ixbiff to make keyboard
    LEDs work on later kernels (don't ask me how it stopped
    working and why the new LED code works).

 -- Abraham vd Merwe <abz@debian.org>  Fri, 24 Jan 2003 23:12:57 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, logrotate
 Suggests: qmail | mail-transport-agent, mutt | mail-reader
-Description: notify user when mail arrives by blinking keyboard leds
+Description: notify user when mail arrives by blinking keyboard LEDs
  Ixbiff blinks the keyboard LEDs when new mail arrives. The
  keyboard LEDs used depend upon the daemon's configuration.
  .

## ixbiff 0.03d

=== debian/changelog ===
ixbiff (0.03d) unstable; urgency=low

  * Added breaks at end of switch statements (Closes: #258927)
  * Updated debian policy version.

 -- Abraham vd Merwe <abz@debian.org>  Sun, 17 Jul 2005 14:06:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Abraham vd Merwe <abz@debian.org>
 Build-Depends: debhelper (>> 3.0.0)
-Standards-Version: 3.5.2
+Standards-Version: 3.6.1
 
 Package: ixbiff
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# -*- sh -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	

	touch configure-stamp

build: configure-stamp build-stamp
build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/ixbiff.sgml > ixbiff.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/ixbiff.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/ixbiff


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## ixbiff 0.03d+nmu1

=== man/Makefile ===
--- 
+++ 
@@ -60,9 +60,9 @@
 ifndef TEST_ONLY
 install: $(MAN)
 	$(INSTALL) -d $(MANDIR)
-	gzip -9 $(MAN)
-	for F in $(MAN); do $(INSTALL_DATA) -d $(MANDIR)/man$${F##*.}; $(INSTALL_DATA) -g $(MANGRP) -o $(MANOWN) -m $(MANMODE) $$F.gz $(MANDIR)/man$${F##*.}; done
-	gunzip -9 $(MAN)
+#	gzip -9 $(MAN)
+	for F in $(MAN); do $(INSTALL_DATA) -d $(MANDIR)/man$${F##*.}; $(INSTALL_DATA) -g $(MANGRP) -o $(MANOWN) -m $(MANMODE) $$F $(MANDIR)/man$${F##*.}; done
+#	gunzip -9 $(MAN)
 
 uninstall:
 	for F in $(MAN); do rm -f $(MANDIR)/man$${F##*.}/$$F.gz; done

=== debian/changelog ===
ixbiff (0.03d+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Added LSB formatted dependency info in init.d script (closes: #469741)
  * Fixed broken installation of uncompressed man pages with gz suffix
  * Fixed clean rule

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Apr 2008 11:55:10 +0200

=== debian/rules ===
--- 
+++ 
@@ -32,7 +32,7 @@
 	rm -f build-stamp configure-stamp
 
 	# Add here commands to clean up after the build process.
-	-$(MAKE) clean
+	$(MAKE) distclean
 
 	dh_clean
